### Function

# Tsparql SparqlConnection bus_new_async

since: 3.1

#### Declaration [src]

    void
    tracker_sparql_connection_bus_new_async (
      const gchar* service_name,
      const gchar* object_path,
      GDBusConnection* dbus_connection,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Connects asynchronously to a database owned by another process on the local machine via DBus.

Available since: 3.1

This function completes asynchronously. Use `tracker_sparql_connection_bus_new_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`service_name`

  Type: `const gchar*`

  The name of the D-Bus service to connect to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  The path to the object, or `NULL` to use the default.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dbus_connection`

  Type: `GDBusConnection`

  The `GDBusConnection` to use, or `NULL` to use the session bus.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.